# Marketo

The Marketo Integration allows you to automatically collect and sync viewer and engagement data from Supademo to Marketo.

### How to sync data between Supademo and Marketo

{% @supademo/embed demoId="cmbjp4ube0001zm0hprd1azmh" url="<https://app.supademo.com/demo/cmbjp4ube0001zm0hprd1azmh>" %}

### Fields synced to Marketo

Once the Marketo integration is connected, Supademo automatically syncs the fields below directly to Marketo. No manual field mapping is required.

#### Standard Marketo fields

These form values are synced directly into Marketo’s standard lead fields:

| Supademo source         | Marketo field |
| ----------------------- | ------------- |
| Email form value        | `email`       |
| First name form value   | `firstName`   |
| Last name form value    | `lastName`    |
| Company name form value | `company`     |

#### Supademo lead fields

The following fields are sent from Supademo to Marketo automatically when available:

| Internal name               | Display name                 | Source                                     |
| --------------------------- | ---------------------------- | ------------------------------------------ |
| `apiSource`                 | API Source                   | Constant value: `Demo`                     |
| `entityTitle`               | Demo Entity Title            | `data.entityTitle` — demo or showcase name |
| `supademoCountry`           | Supademo Country             | Country form value                         |
| `supademoNumberOfEmployees` | Supademo Number of Employees | Number of employees form value             |
| `title`                     | Job Title                    | Job title form value                       |

#### Tracking fields

Supademo also syncs tracking parameters to Marketo automatically. Supademo sends these values automatically when a viewer submits a form or is identified through a Supademo experience. Standard fields, Supademo-specific fields, and tracking parameters are synced directly to Marketo based on the field definitions above, without requiring manual mapping during setup.

| Internal key   | Default Marketo field  | Source                                                                |
| -------------- | ---------------------- | --------------------------------------------------------------------- |
| `utmSource`    | `supademoUtmSource`    | `utmParams.utm_source`                                                |
| `utmMedium`    | `supademoUtmMedium`    | `utmParams.utm_medium`                                                |
| `utmCampaign`  | `supademoUtmCampaign`  | `utmParams.utm_campaign`                                              |
| `utmTerm`      | `supademoUtmTerm`      | `utmParams.utm_term`                                                  |
| `utmContent`   | `supademoUtmContent`   | `utmParams.utm_content`                                               |
| `gclid`        | `supademoGclid`        | `utmParams.gclid`                                                     |
| `fbclid`       | `supademoFbclid`       | `utmParams.fbclid`                                                    |
| `msclkid`      | `supademoMsclkid`      | `utmParams.msclkid`                                                   |
| `customParams` | `supademoCustomParams` | Serialized JSON from `data.customParams`, truncated to 255 characters |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.supademo.com/admin-and-billing/integrations/marketo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
